/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.jms.message;

/**
 * <p/>
 * Message type identifier.
 * </p>
 *
 * @author <a href="mailto:founder_chen@yahoo.com.cn">Peter.Cheng</a>
 * @version Revision: 1.1 Date: 2002-11-12 11:13:21
 */

public class MessageType {

    private String type;

    /**
     * Default Constructor.
     */
    public MessageType() {
    }

    /**
     * Create Message Type with special type.
     *
     * @param type
     */
    public MessageType(String type) {
        this.type = type;
    }

    /**
     * Get Message Type
     *
     * @return type
     */
    public String getType() {
        return this.type;
    }

    public String toString() {
        return "MessageType Object";
    }
}
